/*
 * tps6594BinSource.h
 *
 *  Created on: Sep 5, 2022
 */

#ifndef TPS6594BINSOURCE_H_
#define TPS6594BINSOURCE_H_

/* Standard Includes */
#include <stdint.h>
#include <stdbool.h>

#define USER_DATA_SIZE  103
#define PAGE1_DATA_SIZE 54
#define PAGE3_DATA_SIZE 256

typedef struct
{
    uint16_t    address;
    uint8_t     data;
} TPS6594_DATA;

extern const TPS6594_DATA userDataImage[USER_DATA_SIZE];
extern const TPS6594_DATA page1Image[PAGE1_DATA_SIZE];
extern const uint8_t page3sub0Image[PAGE3_DATA_SIZE];
extern const uint8_t page3sub1Image[PAGE3_DATA_SIZE];
extern const uint8_t page3sub2Image[PAGE3_DATA_SIZE];

#endif /* TPS6594BINSOURCE_H_ */
